Method: networks.orders.batchSubmitForApprovalWithoutReservationChanges

Submits a list of Order objects for approval without changing reservation status.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/orders:batchSubmitForApprovalWithoutReservationChanges

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of Orders. Format: networks/{networkCode}

Request body

The request body contains data with the following structure:

JSON representation
{
  "names": [
    string
  ]
}
Fields
names[]

string

Required. The resource names of the orders to submit for approval. Format: networks/{networkCode}/orders/{orderId}

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.